Index: /XIOS/trunk/doc/XIOS_reference_guide.lyx
===================================================================
--- /XIOS/trunk/doc/XIOS_reference_guide.lyx	(revision 1083)
+++ /XIOS/trunk/doc/XIOS_reference_guide.lyx	(revision 1084)
@@ -1,6 +1,8 @@
-#LyX 2.1 created this file. For more info see http://www.lyx.org/
-\lyxformat 474
+#LyX 2.2 created this file. For more info see http://www.lyx.org/
+\lyxformat 508
 \begin_document
 \begin_header
+\save_transient_properties true
+\origin unavailable
 \textclass book
 \use_default_options true
@@ -13,14 +15,14 @@
 \inputencoding auto
 \fontencoding global
-\font_roman default
-\font_sans default
-\font_typewriter default
-\font_math auto
+\font_roman "default" "default"
+\font_sans "default" "default"
+\font_typewriter "default" "default"
+\font_math "auto" "auto"
 \font_default_family default
 \use_non_tex_fonts false
 \font_sc false
 \font_osf false
-\font_sf_scale 100
-\font_tt_scale 100
+\font_sf_scale 100 100
+\font_tt_scale 100 100
 \graphics default
 \default_output_format default
@@ -81,4 +83,13 @@
 \end_layout
 
+\begin_layout Standard
+\begin_inset CommandInset toc
+LatexCommand tableofcontents
+
+\end_inset
+
+
+\end_layout
+
 \begin_layout Chapter
 Attribute reference
@@ -273,5 +284,5 @@
 \begin_layout Standard
 Define the time origin of the time axis.
- It will appear as metadata attached to the time axis in the output file.
+ It will appear as meta-data attached to the time axis in the output file.
  This attribute is optional, the default value is 
 \begin_inset Flex Emph
@@ -886,4 +897,188 @@
 
 \begin_layout Section
+Scalar attribute reference
+\end_layout
+
+\begin_layout Subsection*
+name: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: name
+\end_layout
+
+\begin_layout Standard
+Define the name of the scalar, as it will appear in a file.
+ If not defined, a name is self generated from the id.
+ If multiple scalars are defined in a same file, each name must be different.
+ 
+\end_layout
+
+\begin_layout Subsection*
+standard_name: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: standard_name
+\end_layout
+
+\begin_layout Standard
+Define the standard name of the scalar, as it will appear in the meta-data
+ attached to the scalar of the output file.
+ 
+\end_layout
+
+\begin_layout Subsection*
+long_name: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: long_name
+\end_layout
+
+\begin_layout Standard
+Define the long name of the scalar, as it will appear in the meta-data attached
+ to the scalar of the output file.
+ 
+\end_layout
+
+\begin_layout Subsection*
+unit: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: unit
+\end_layout
+
+\begin_layout Standard
+Define the unit of the scalar as it will appear in the meta-data attached
+ to the scalar in the output file.
+\end_layout
+
+\begin_layout Subsection*
+value: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+double
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: value
+\end_layout
+
+\begin_layout Standard
+Define the value of a scalar.
+ 
+\end_layout
+
+\begin_layout Subsection*
+scalar_ref: string
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: axis_ref
+\end_layout
+
+\begin_layout Standard
+Define the reference of the scalar.
+ All attributes are inherited from the referenced scalar with the classical
+ inheritance mechanism.
+ The value assigned to the referenced axis is transmitted to to current
+ scalar.
+ This attribute is optional.
+\end_layout
+
+\begin_layout Subsection*
+prec: 
+\emph on
+integer
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: prec
+\end_layout
+
+\begin_layout Standard
+Define the precision in byte of a field in an output file.
+ Available value are: 2 (integer), 4 (float single precision) and 8 (float
+ double precision).
+\end_layout
+
+\begin_layout Section
 Axis attribute reference
 \end_layout
@@ -943,5 +1138,5 @@
 \begin_layout Standard
 Define the standard name of the vertical axis, as it will appear in the
- metadata attached to the axis of the output file.
+ meta-data attached to the axis of the output file.
  
 \end_layout
@@ -970,5 +1165,5 @@
 
 \begin_layout Standard
-Define the long name of the vertical axis, as it will appear in the metadata
+Define the long name of the vertical axis, as it will appear in the meta-data
  attached to the axis of the output file.
  
@@ -998,6 +1193,6 @@
 
 \begin_layout Standard
-Define the unit of the axis as it will appear in the metadata attached to
- the axis in the output file.
+Define the unit of the axis as it will appear in the meta-data attached
+ to the axis in the output file.
 \end_layout
 
@@ -1523,5 +1718,5 @@
 
 \begin_layout Standard
-Define the standard name of the domain, as it will appear in the metadata
+Define the standard name of the domain, as it will appear in the meta-data
  attached to the domain of the output file.
  
@@ -1551,5 +1746,5 @@
 
 \begin_layout Standard
-Define the long name of the domain, as it will appear in the metadata attached
+Define the long name of the domain, as it will appear in the meta-data attached
  to the domain of the output file.
  
@@ -1660,5 +1855,5 @@
 
 \begin_layout Standard
-Define the begining index of the first dimension of the local domain.
+Define the beginning index of the first dimension of the local domain.
  This attribute is optional.
  This must be an integer between 
@@ -1889,5 +2084,5 @@
 \begin_layout Standard
 Define the value of the longitude on the local domain.
- For a cartesian grid, the size of the array will be 
+ For a Cartesian grid, the size of the array will be 
 \begin_inset Flex Strong
 status collapsed
@@ -1934,5 +2129,5 @@
 \begin_layout Standard
 Define the value of the longitude on the local domain.
- For a cartesian and curvilinear grid, the size of the array will be 
+ For a Cartesian and curvilinear grid, the size of the array will be 
 \begin_inset Flex Strong
 status collapsed
@@ -1969,5 +2164,5 @@
 \begin_layout Standard
 Define the value of the latitude on the local domain.
- For a cartesian grid, the size of the array will be nj.
+ For a Cartesian grid, the size of the array will be nj.
  For a curvilinear grid, the size of the array will be 
 \begin_inset Flex Strong
@@ -2004,5 +2199,5 @@
 \begin_layout Standard
 Define the value of the latitude on the local domain.
- For a cartesian and a curvilinear grid, the size of the array will be 
+ For a Cartesian and a curvilinear grid, the size of the array will be 
 \begin_inset Flex Strong
 status collapsed
@@ -2935,5 +3130,5 @@
 \end_inset
 
- attribute as it will appear in the metadata of an output file.
+ attribute as it will appear in the meta-data of an output file.
  This attribute is optional.
 \end_layout
@@ -2964,5 +3159,5 @@
 \end_inset
 
- attribute as it will appear in the metadata of an output file.
+ attribute as it will appear in the meta-data of an output file.
  This attribute is optional.
 \end_layout
@@ -3460,5 +3655,5 @@
 
 \begin_layout LyX-Code
-LOGICAL: detect_missing_value
+LOGICAL:: detect_missing_value
 \end_layout
 
@@ -3479,5 +3674,5 @@
 
 \begin_layout LyX-Code
-DOUBLE PRECISION: add_offset
+DOUBLE PRECISION :: add_offset
 \end_layout
 
@@ -3493,5 +3688,5 @@
 \end_inset
 
- metadata CF attribute in the output file.
+ meta-data CF attribute in the output file.
  In output, the 
 \begin_inset Flex Strong
@@ -3518,5 +3713,5 @@
 
 \begin_layout LyX-Code
-DOUBLE PRECISION: scale_factor
+DOUBLE PRECISION :: scale_factor
 \end_layout
 
@@ -3532,5 +3727,5 @@
 \end_inset
 
- metadata CF attribute in the output file.
+ meta-data CF attribute in the output file.
  In output, the field values are divided by the 
 \begin_inset Flex Strong
@@ -4205,6 +4400,6 @@
 \series default
 \emph default
- only if the NetCDF4 library was compiled with Parallel NetCDF support (--enable
--pnetcdf).
+ only if the NetCDF4 library was compiled with Parallel NetCDF support (âenable-
+pnetcdf).
 \end_layout
 
@@ -4513,470 +4708,11 @@
 \end_layout
 
-\begin_layout Section
-Transformation attribute reference
-\end_layout
-
-\begin_layout Subsection
-interpolate_axis
-\end_layout
-
-\begin_layout Subsection*
-type: 
-\emph on
-string
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-CHARACTER(LEN=*) :: type
-\end_layout
-
-\begin_layout Standard
-Define the type of interpolation on an axis.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-order: 
-\emph on
-integer
-\end_layout
-
-\begin_layout Standard
-Fortran: 
-\end_layout
-
-\begin_layout LyX-Code
-INTEGER :: order
-\end_layout
-
-\begin_layout Standard
-Define a order of interpolation.
- This attribute is optional.
- The default value is 2.
-\end_layout
-
-\begin_layout Subsection
-inverse_axis
-\end_layout
-
-\begin_layout Subsection
-zoom_axis
-\end_layout
-
-\begin_layout Subsection*
-begin: 
-\begin_inset Flex Emph
-status collapsed
-
-\begin_layout Plain Layout
-integer
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-INTEGER :: begin
-\end_layout
-
-\begin_layout Standard
-Define the begining index of the zoomed region on global axis.
- This attribute is optional.
- This must be an integer between 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-0
-\end_layout
-
-\end_inset
-
- and 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-ni_glo-1
-\end_layout
-
-\end_inset
-
- of associated axis.
- If not specified the default value is 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-0
-\end_layout
-
-\end_inset
-
-.
-\end_layout
-
-\begin_layout Subsection*
-n: 
-\begin_inset Flex Emph
-status collapsed
-
-\begin_layout Plain Layout
-integer
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-INTEGER :: n
-\end_layout
-
-\begin_layout Standard
-Define the size of zoomed region on global axis.
- This attribute is optional.
- This must be an integer between 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-1
-\end_layout
-
-\end_inset
-
-and 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-nj_glo
-\end_layout
-
-\end_inset
-
- of the associated axis.
- If not specified the default value is 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-nj_glo
-\end_layout
-
-\end_inset
-
- of the associated axis.
-\end_layout
-
-\begin_layout Subsection
-interpolate_domain
-\end_layout
-
-\begin_layout Subsection*
-file: 
-\emph on
-string
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-CHARACTER(LEN=*) :: type
-\end_layout
-
-\begin_layout Standard
-Define the file which contains the weight value to interpolate from domain
- source to domain destination.
- This attribute is optional.
- If not specified, the internal interpolation module will be used.
-\end_layout
-
-\begin_layout Subsection*
-order: 
-\emph on
-integer
-\end_layout
-
-\begin_layout Standard
-Fortran: 
-\end_layout
-
-\begin_layout LyX-Code
-INTEGER :: order
-\end_layout
-
-\begin_layout Standard
-Define a order of interpolation.
- This attribute is only for internal interoplation module.
- This attribute is optional.
- The default value is 2.
-\end_layout
-
-\begin_layout Subsection
-zoom_domain
-\end_layout
-
-\begin_layout Subsection*
-ibegin: 
-\begin_inset Flex Emph
-status collapsed
-
-\begin_layout Plain Layout
-integer
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-INTEGER :: ibegin
-\end_layout
-
-\begin_layout Standard
-Define the begining index of the zoomed region on the first dimension of
- the global domain.
- This attribute is optional.
- This must be an integer between 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-0
-\end_layout
-
-\end_inset
-
- and 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-ni_glo-1
-\end_layout
-
-\end_inset
-
- of the associated dimension of domain.
- If not specified the default value is 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-0
-\end_layout
-
-\end_inset
-
-.
-\end_layout
-
-\begin_layout Subsection*
-ni: 
-\begin_inset Flex Emph
-status collapsed
-
-\begin_layout Plain Layout
-integer
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-INTEGER :: ni
-\end_layout
-
-\begin_layout Standard
-Define the size of zoomed region on the first dimension of the global domain.
- This attribute is optional.
- This must be an integer between 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-1
-\end_layout
-
-\end_inset
-
-and 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-ni_glo
-\end_layout
-
-\end_inset
-
- of the associated dimension of domain.
- If not specified the default value is 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-ni_glo
-\end_layout
-
-\end_inset
-
- of the dimension of domain.
-\end_layout
-
-\begin_layout Subsection*
-jbegin: 
-\begin_inset Flex Emph
-status collapsed
-
-\begin_layout Plain Layout
-integer
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-INTEGER :: jbegin
-\end_layout
-
-\begin_layout Standard
-Define the begining index of the zoomed region on the second dimension of
- the global domain.
- This attribute is optional.
- This must be an integer between 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-0
-\end_layout
-
-\end_inset
-
- and 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-nj_glo-1
-\end_layout
-
-\end_inset
-
- of the associated dimension of domain.
- If not specified the default value is 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-0
-\end_layout
-
-\end_inset
-
-.
-\end_layout
-
-\begin_layout Subsection*
-nj: 
-\begin_inset Flex Emph
-status collapsed
-
-\begin_layout Plain Layout
-integer
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-INTEGER :: nj
-\end_layout
-
-\begin_layout Standard
-Define the size of zoomed region on the second dimension of the global domain.
- This attribute is optional.
- This must be an integer between 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-1
-\end_layout
-
-\end_inset
-
-and 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-nj_glo
-\end_layout
-
-\end_inset
-
- of the associated dimension of domain.
- If not specified the default value is 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-nj_glo
-\end_layout
-
-\end_inset
-
- of the dimension of domain.
-\end_layout
-
-\begin_layout Subsection
-generate_rectilinear_domain
-\end_layout
-
-\begin_layout Standard
+\begin_layout Standard
+\begin_inset CommandInset include
+LatexCommand include
+filename "inputs/reference/Transformations.lyx"
+
+\end_inset
+
 
 \end_layout
@@ -5127,4 +4863,8 @@
 \begin_layout Itemize
 If OASIS coupler is not used (using_oasis=false)
+\begin_inset Separator latexpar
+\end_inset
+
+
 \end_layout
 
@@ -5265,4 +5005,8 @@
 
 )
+\begin_inset Separator latexpar
+\end_inset
+
+
 \end_layout
 
@@ -5280,4 +5024,8 @@
 
 ) 
+\begin_inset Separator latexpar
+\end_inset
+
+
 \end_layout
 
@@ -5390,4 +5138,8 @@
 
 )
+\begin_inset Separator latexpar
+\end_inset
+
+
 \end_layout
 
@@ -7521,9 +7273,9 @@
 
 \begin_layout Subsection*
-Arithmetic operations on durations
-\end_layout
-
-\begin_layout Standard
-The following arithmetic operations on durations are available:
+Arithmetic operations on duration
+\end_layout
+
+\begin_layout Standard
+The following arithmetic operations on duration are available:
 \end_layout
 
@@ -7595,9 +7347,9 @@
 
 \begin_layout Subsection*
-Comparison operations on durations
-\end_layout
-
-\begin_layout Standard
-The following comparison operations on durations are available:
+Comparison operations on duration
+\end_layout
+
+\begin_layout Standard
+The following comparison operations on duration are available:
 \end_layout
 
Index: /XIOS/trunk/doc/XIOS_user_guide.lyx
===================================================================
--- /XIOS/trunk/doc/XIOS_user_guide.lyx	(revision 1083)
+++ /XIOS/trunk/doc/XIOS_user_guide.lyx	(revision 1084)
@@ -1,6 +1,8 @@
-#LyX 2.1 created this file. For more info see http://www.lyx.org/
-\lyxformat 474
+#LyX 2.2 created this file. For more info see http://www.lyx.org/
+\lyxformat 508
 \begin_document
 \begin_header
+\save_transient_properties true
+\origin unavailable
 \textclass book
 \begin_preamble
@@ -16,14 +18,14 @@
 \inputencoding auto
 \fontencoding global
-\font_roman default
-\font_sans default
-\font_typewriter default
-\font_math auto
+\font_roman "default" "default"
+\font_sans "default" "default"
+\font_typewriter "default" "default"
+\font_math "auto" "auto"
 \font_default_family default
 \use_non_tex_fonts false
 \font_sc false
 \font_osf false
-\font_sf_scale 100
-\font_tt_scale 100
+\font_sf_scale 100 100
+\font_tt_scale 100 100
 \graphics default
 \default_output_format default
@@ -80,6 +82,11 @@
 \end_layout
 
-\begin_layout Author
-Draft
+\begin_layout Standard
+\begin_inset CommandInset toc
+LatexCommand tableofcontents
+
+\end_inset
+
+
 \end_layout
 
@@ -1192,4 +1199,8 @@
 \begin_layout Itemize
 converting dates to
+\begin_inset Separator latexpar
+\end_inset
+
+
 \end_layout
 
@@ -1767,5 +1778,5 @@
 
 \begin_layout Plain Layout
--\SpecialChar \nobreakdash-
+-\SpecialChar nobreakdash
 -enable-netcdf4
 \end_layout
@@ -1810,5 +1821,5 @@
 
 \begin_layout Plain Layout
--\SpecialChar \nobreakdash-
+-\SpecialChar nobreakdash
 -enable-parallel
 \end_layout
@@ -1853,5 +1864,5 @@
 
 \begin_layout Plain Layout
--\SpecialChar \nobreakdash-
+-\SpecialChar nobreakdash
 -enable-pnetcdf
 \end_layout
@@ -4799,4 +4810,24 @@
 \end_layout
 
+\begin_layout Standard
+\begin_inset CommandInset include
+LatexCommand include
+filename "inputs/user/Scalar.lyx"
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+\begin_inset CommandInset include
+LatexCommand include
+filename "inputs/user/Transformations.lyx"
+
+\end_inset
+
+
+\end_layout
+
 \begin_layout Chapter
 XIOS options
@@ -4968,5 +4999,5 @@
  mode, XIOS will ensure that all active fields can be buffered without having
  to flush the buffers.
- This mode is used by default since it allows more asynchronism and thus
+ This mode is used by default since it allows more asynchronous and thus
  better performance at the cost of being quite memory hungry.
 \end_layout
@@ -4981,7 +5012,7 @@
 int
 \series default
-) defines the mimimum buffer size in bytes (8192 by default).
+) defines the minimum buffer size in bytes (8192 by default).
  This value will be used by XIOS only for buffers whose detected size is
- smaller than the user defined mimimum size.
+ smaller than the user defined minimum size.
 \end_layout
 
@@ -5004,5 +5035,5 @@
 \begin_inset Formula 
 \[
-{\scriptstyle used\_size\;=\;\min\left(minimum\_buffer\_size,\; detected\_size\;\times\; buffer\_size\_factor\right)}
+{\scriptstyle used\_size\;=\;\min\left(minimum\_buffer\_size,\;detected\_size\;\times\;buffer\_size\_factor\right)}
 \]
 
Index: /XIOS/trunk/doc/inputs/reference/Transformations.lyx
===================================================================
--- /XIOS/trunk/doc/inputs/reference/Transformations.lyx	(revision 1084)
+++ /XIOS/trunk/doc/inputs/reference/Transformations.lyx	(revision 1084)
@@ -0,0 +1,1311 @@
+#LyX 2.2 created this file. For more info see http://www.lyx.org/
+\lyxformat 508
+\begin_document
+\begin_header
+\save_transient_properties true
+\origin unavailable
+\textclass article
+\use_default_options true
+\maintain_unincluded_children false
+\language english
+\language_package default
+\inputencoding auto
+\fontencoding global
+\font_roman "default" "default"
+\font_sans "default" "default"
+\font_typewriter "default" "default"
+\font_math "auto" "auto"
+\font_default_family default
+\use_non_tex_fonts false
+\font_sc false
+\font_osf false
+\font_sf_scale 100 100
+\font_tt_scale 100 100
+\graphics default
+\default_output_format default
+\output_sync 0
+\bibtex_command default
+\index_command default
+\paperfontsize default
+\use_hyperref false
+\papersize default
+\use_geometry false
+\use_package amsmath 1
+\use_package amssymb 1
+\use_package cancel 1
+\use_package esint 1
+\use_package mathdots 1
+\use_package mathtools 1
+\use_package mhchem 1
+\use_package stackrel 1
+\use_package stmaryrd 1
+\use_package undertilde 1
+\cite_engine basic
+\cite_engine_type default
+\biblio_style plain
+\use_bibtopic false
+\use_indices false
+\paperorientation portrait
+\suppress_date false
+\justification true
+\use_refstyle 1
+\index Index
+\shortcut idx
+\color #008000
+\end_index
+\secnumdepth 3
+\tocdepth 3
+\paragraph_separation indent
+\paragraph_indentation default
+\quotes_language english
+\papercolumns 1
+\papersides 1
+\paperpagestyle default
+\tracking_changes false
+\output_changes false
+\html_math_output 0
+\html_css_as_file 0
+\html_be_strict false
+\end_header
+
+\begin_body
+
+\begin_layout Section
+Scalar transformation attribute reference
+\end_layout
+
+\begin_layout Subsection
+reduce_domain
+\end_layout
+
+\begin_layout Standard
+Reduce a domain into a scalar.
+\end_layout
+
+\begin_layout Subsection*
+operation: 
+\emph on
+enumeration { min, max, sum, average }
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: operation
+\end_layout
+
+\begin_layout Standard
+Define the reduction operation can be done.
+ This attribute is mandatory
+\end_layout
+
+\begin_layout Subsection
+reduce_axis
+\end_layout
+
+\begin_layout Standard
+Reduce an axis into a scalar.
+\end_layout
+
+\begin_layout Subsection*
+operation: 
+\emph on
+enumeration { min, max, sum, average }
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: operation
+\end_layout
+
+\begin_layout Standard
+Define the reduction operation can be done.
+ This attribute is mandatory
+\end_layout
+
+\begin_layout Subsection
+extract_axis
+\end_layout
+
+\begin_layout Standard
+Extract a point on an axis into a scalar
+\end_layout
+
+\begin_layout Subsection*
+position: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: position
+\end_layout
+
+\begin_layout Standard
+Position on the axis where the extraction is done.
+ This attribute is mandatory.
+\end_layout
+
+\begin_layout Section
+Axis transformation attribute reference
+\end_layout
+
+\begin_layout Subsection
+interpolate_axis
+\end_layout
+
+\begin_layout Standard
+Interpolate an axis into another one.
+\end_layout
+
+\begin_layout Subsection*
+type: 
+\emph on
+string
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: type
+\end_layout
+
+\begin_layout Standard
+Define the type of interpolation on an axis.
+ This attribute is optional.
+ Default type is Lagrange 
+\end_layout
+
+\begin_layout Subsection*
+order: 
+\emph on
+integer
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: order
+\end_layout
+
+\begin_layout Standard
+Define a order of interpolation.
+ This attribute is optional.
+ The default value is 2.
+\end_layout
+
+\begin_layout Subsection*
+coordinate: 
+\emph on
+string
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: coordinate
+\end_layout
+
+\begin_layout Standard
+Define the coordinate from which we do interpolation.
+ This coordinate should be a 3D field which is on the grid containing the
+ interpolating axis.
+ This attribute is optional.
+ 
+\end_layout
+
+\begin_layout Subsection
+inverse_axis
+\end_layout
+
+\begin_layout Standard
+Turn an axis into another axis whose values are inversed from the original
+ one
+\end_layout
+
+\begin_layout Subsection
+zoom_axis
+\end_layout
+
+\begin_layout Standard
+Zoom into a potion of an axis
+\end_layout
+
+\begin_layout Subsection*
+begin: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: begin
+\end_layout
+
+\begin_layout Standard
+Define the beginning index of the zoomed region on global axis.
+ This attribute is optional.
+ This must be an integer between 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+0
+\end_layout
+
+\end_inset
+
+ and 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+ni_glo-1
+\end_layout
+
+\end_inset
+
+ of associated axis.
+ If not specified the default value is 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+0
+\end_layout
+
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsection*
+n: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: n
+\end_layout
+
+\begin_layout Standard
+Define the size of zoomed region on global axis.
+ This attribute is optional.
+ This must be an integer between 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+1
+\end_layout
+
+\end_inset
+
+and 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+nj_glo
+\end_layout
+
+\end_inset
+
+ of the associated axis.
+ If not specified the default value is 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+nj_glo
+\end_layout
+
+\end_inset
+
+ of the associated axis.
+\end_layout
+
+\begin_layout Subsection
+reduce_domain
+\end_layout
+
+\begin_layout Standard
+Reduce a domain into an axis following a dimension of the domain
+\end_layout
+
+\begin_layout Subsection*
+operation: 
+\emph on
+enumeration { min, max, sum, average }
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: operation
+\end_layout
+
+\begin_layout Standard
+Define the reduction operation can be done.
+ This attribute is mandatory
+\end_layout
+
+\begin_layout Subsection*
+direction: 
+\emph on
+enumeration { iDir, jDir }
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: direction
+\end_layout
+
+\begin_layout Standard
+Define the dimension of domain along which the reduction operation is done:
+ 
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\emph on
+jDir
+\series default
+\emph default
+: reduction along y dimension of domain
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\emph on
+iDir
+\series default
+\emph default
+: reduction along x dimension of domain.
+\end_layout
+
+\begin_layout Standard
+This attribute is mandatory.
+\end_layout
+
+\begin_layout Subsection
+extract_domain
+\end_layout
+
+\begin_layout Standard
+Extract a slice of domain into an axis following a dimension of the domain
+\end_layout
+
+\begin_layout Subsection*
+direction: 
+\emph on
+enumeration { iDir, jDir }
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: direction
+\end_layout
+
+\begin_layout Standard
+Define the dimension of domain along which the extraction operation is done:
+ 
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\emph on
+jDir
+\series default
+\emph default
+: extract along y dimension of domain
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\emph on
+iDir
+\series default
+\emph default
+: extract along x dimension of domain.
+\end_layout
+
+\begin_layout Standard
+This attribute is mandatory.
+\end_layout
+
+\begin_layout Subsection*
+position: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: position
+\end_layout
+
+\begin_layout Standard
+Position on the dimension of domain with which the extraction is done.
+ This attribute is mandatory.
+\end_layout
+
+\begin_layout Section
+Domain transformation attribute reference
+\end_layout
+
+\begin_layout Subsection
+interpolate_domain
+\end_layout
+
+\begin_layout Standard
+Interpolate a domain to another one.
+\end_layout
+
+\begin_layout Subsection*
+order: 
+\emph on
+integer
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: order
+\end_layout
+
+\begin_layout Standard
+Define the order of interpolation.
+ This attribute is optional.
+ The default value is 2.
+\end_layout
+
+\begin_layout Subsection*
+renormalize: 
+\emph on
+bool
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+LOGICAL :: renormalize
+\end_layout
+
+\begin_layout Standard
+Define if interpolation normalization is applied.
+ This attribute is optional.
+ The default value is false.
+\end_layout
+
+\begin_layout Subsection*
+write_weight: 
+\emph on
+bool
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+LOGICAL :: write_weight
+\end_layout
+
+\begin_layout Standard
+Define if the weights of interpolation calculation are written into a file.
+ This attribute is optional.
+ The default value is false.
+\end_layout
+
+\begin_layout Subsection*
+weight_filename: 
+\emph on
+string
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: weight_filename
+\end_layout
+
+\begin_layout Standard
+Define the filename into which the calculated weights of interpolation are
+ written or from which these weights are read.
+ This attribute is optional.
+\end_layout
+
+\begin_layout Subsection*
+mode: 
+\emph on
+enumeration { compute, read, read_or_compute }
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: mode
+\end_layout
+
+\begin_layout Standard
+Define the operation mode of interpolation:
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\emph on
+compute
+\series default
+\emph default
+: compute the weights of interpolation
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\emph on
+read
+\series default
+\emph default
+: read the weights of interpolation from a file whose name is defined by
+ weight_filename
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\emph on
+read_or_compute
+\series default
+\emph default
+: if the file whose name is defined by weight_filename already exists, read
+ the weights of interpolation from this file; otherwise weights of interpolation
+ are computed.
+\end_layout
+
+\begin_layout Standard
+In mode compute and read_or_compute, weight_filename is not defined, filename
+ whose format
+\end_layout
+
+\begin_layout Standard
+xios_interpolation_weight_nameOfContext_nameOfDomainSource_nameOfDomainDestinati
+on.nc will be used for read/write.
+\end_layout
+
+\begin_layout Subsection
+zoom_domain
+\end_layout
+
+\begin_layout Subsection*
+ibegin: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: ibegin
+\end_layout
+
+\begin_layout Standard
+Define the beginning index of the zoomed region on the first dimension of
+ the global domain.
+ This attribute is optional.
+ This must be an integer between 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+0
+\end_layout
+
+\end_inset
+
+ and 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+ni_glo-1
+\end_layout
+
+\end_inset
+
+ of the associated dimension of domain.
+ If not specified the default value is 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+0
+\end_layout
+
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsection*
+ni: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: ni
+\end_layout
+
+\begin_layout Standard
+Define the size of zoomed region on the first dimension of the global domain.
+ This attribute is optional.
+ This must be an integer between 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+1
+\end_layout
+
+\end_inset
+
+and 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+ni_glo
+\end_layout
+
+\end_inset
+
+ of the associated dimension of domain.
+ If not specified the default value is 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+ni_glo
+\end_layout
+
+\end_inset
+
+ of the dimension of domain.
+\end_layout
+
+\begin_layout Subsection*
+jbegin: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: jbegin
+\end_layout
+
+\begin_layout Standard
+Define the beginning index of the zoomed region on the second dimension
+ of the global domain.
+ This attribute is optional.
+ This must be an integer between 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+0
+\end_layout
+
+\end_inset
+
+ and 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+nj_glo-1
+\end_layout
+
+\end_inset
+
+ of the associated dimension of domain.
+ If not specified the default value is 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+0
+\end_layout
+
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsection*
+nj: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: nj
+\end_layout
+
+\begin_layout Standard
+Define the size of zoomed region on the second dimension of the global domain.
+ This attribute is optional.
+ This must be an integer between 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+1
+\end_layout
+
+\end_inset
+
+and 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+nj_glo
+\end_layout
+
+\end_inset
+
+ of the associated dimension of domain.
+ If not specified the default value is 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+nj_glo
+\end_layout
+
+\end_inset
+
+ of the dimension of domain.
+\end_layout
+
+\begin_layout Subsection
+generate_rectilinear_domain
+\end_layout
+
+\begin_layout Standard
+Generate a rectilinear domain on distributing it among processes as well
+ as on automatically generating its attributes.
+ By default, the bounds_* attributes are used to compute latitude and longitude
+ of the generated domain.
+\end_layout
+
+\begin_layout Subsection*
+lon_start: double
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: lon_start
+\end_layout
+
+\begin_layout Standard
+Define the beginning of the longitude of the global domain.
+ This attribute is optional.
+ 
+\end_layout
+
+\begin_layout Subsection*
+lon_end: double
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: lon_end
+\end_layout
+
+\begin_layout Standard
+Define the ending of the longitude of the global domain.
+ This attribute is optional.
+ 
+\end_layout
+
+\begin_layout Subsection*
+lat_start: double
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: lat_start
+\end_layout
+
+\begin_layout Standard
+Define the beginning of the latitude of the global domain.
+ This attribute is optional.
+ 
+\end_layout
+
+\begin_layout Subsection*
+lat_end: double
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: lat_end
+\end_layout
+
+\begin_layout Standard
+Define the ending of the latitude of the global domain.
+ This attribute is optional.
+ 
+\end_layout
+
+\begin_layout Subsection*
+bounds_lon_start: double
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: bounds_lon_start
+\end_layout
+
+\begin_layout Standard
+Define the beginning of the longitude of the boundary of the global domain.
+ This attribute is optional.
+ By default, it is 0.
+\end_layout
+
+\begin_layout Subsection*
+bounds_lon_end: double
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: bounds_lon_end
+\end_layout
+
+\begin_layout Standard
+Define the ending of the longitude of the boundary of the global domain.
+ This attribute is optional.
+ By default, it is 360.
+\end_layout
+
+\begin_layout Subsection*
+bounds_lat_start: double
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: bounds_lat_start
+\end_layout
+
+\begin_layout Standard
+Define the beginning of the latitude of the boundary of the global domain.
+ This attribute is optional.
+ By default, it is -90.
+\end_layout
+
+\begin_layout Subsection*
+bounds_lat_end: double
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: bounds_lat_end
+\end_layout
+
+\begin_layout Standard
+Define the ending of the latitude of the boundary of the global domain.
+ This attribute is optional.
+ By default, it is +90.
+\end_layout
+
+\begin_layout Subsection
+compute_connectivity_domain
+\end_layout
+
+\begin_layout Standard
+Compute the neighbors of cells on the local domain.
+\end_layout
+
+\begin_layout Subsection*
+type: 
+\emph on
+enumeration { node, edge }
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: type
+\end_layout
+
+\begin_layout Standard
+Define the type of neighbor: 
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\emph on
+node
+\series default
+\emph default
+: cells sharing a node are considered neighbors
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\emph on
+edge
+\series default
+\emph default
+: cells sharing an edge are considered neighbors.
+\end_layout
+
+\begin_layout Standard
+This attribute is optional.
+ Default value is edge.
+\end_layout
+
+\begin_layout Subsection*
+n_neighbor_max: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: n_neighbor_max
+\end_layout
+
+\begin_layout Standard
+Attribute contains maximum number of neighbor a cell on the local domain
+ can have.
+ This attribute contains returned value.
+\end_layout
+
+\begin_layout Subsection*
+n_neighbor: 
+\emph on
+1D-array of
+\emph default
+ 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: n_neighbor(:)
+\end_layout
+
+\begin_layout Standard
+Array contains the calculate number of neighbor for cells on the domain.
+ This attribute contains returned values.
+\end_layout
+
+\begin_layout Subsection*
+local_neighbor: 
+\emph on
+2D-array of
+\emph default
+ 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: n_neighbor(:)
+\end_layout
+
+\begin_layout Standard
+Array contains the neighbor for cells on the domain.
+ This attribute contains returned values.
+\end_layout
+
+\begin_layout Subsection
+expand_domain
+\end_layout
+
+\begin_layout Standard
+Expand a local domain on adding cells from its neighboring domains.
+\end_layout
+
+\begin_layout Standard
+For rectilinear domain, global domain is also expanded.
+ By default, the expanded part is masked.
+\end_layout
+
+\begin_layout Subsection*
+type: 
+\emph on
+enumeration { node, edge }
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: type
+\end_layout
+
+\begin_layout Standard
+Define the type of neighbor: 
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\emph on
+node
+\series default
+\emph default
+: cells sharing a node are considered neighbors
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\emph on
+edge
+\series default
+\emph default
+: cells sharing an edge are considered neighbors.
+\end_layout
+
+\begin_layout Standard
+This attribute is optional.
+ Default value is edge.
+\end_layout
+
+\begin_layout Subsection*
+i_periodic: 
+\emph on
+bool
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+LOGICAL :: i_periodic
+\end_layout
+
+\begin_layout Standard
+For rectilinear domain, specify if the domain is periodic along x dimension.
+ This attribute is optional.
+ The default value is false.
+\end_layout
+
+\begin_layout Subsection*
+j_periodic: 
+\emph on
+bool
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+LOGICAL :: j_periodic
+\end_layout
+
+\begin_layout Standard
+For rectilinear domain, specify if the domain is periodic along y dimension.
+ This attribute is optional.
+ The default value is false.
+\end_layout
+
+\end_body
+\end_document
Index: /XIOS/trunk/doc/inputs/user/Axis.lyx
===================================================================
--- /XIOS/trunk/doc/inputs/user/Axis.lyx	(revision 1083)
+++ /XIOS/trunk/doc/inputs/user/Axis.lyx	(revision 1084)
@@ -1,6 +1,8 @@
-#LyX 2.1 created this file. For more info see http://www.lyx.org/
-\lyxformat 474
+#LyX 2.2 created this file. For more info see http://www.lyx.org/
+\lyxformat 508
 \begin_document
 \begin_header
+\save_transient_properties true
+\origin unavailable
 \textclass book
 \use_default_options true
@@ -11,14 +13,14 @@
 \inputencoding auto
 \fontencoding global
-\font_roman default
-\font_sans default
-\font_typewriter default
-\font_math auto
+\font_roman "default" "default"
+\font_sans "default" "default"
+\font_typewriter "default" "default"
+\font_math "auto" "auto"
 \font_default_family default
 \use_non_tex_fonts false
 \font_sc false
 \font_osf false
-\font_sf_scale 100
-\font_tt_scale 100
+\font_sf_scale 100 100
+\font_tt_scale 100 100
 \graphics default
 \default_output_format default
@@ -209,5 +211,5 @@
  The axis with implicit id can only be used inside the scope where it is
  defined, it can not be referenced, nor be processed.
- It is rare to define an axis without id inside axis_definition.
+ It is useless to define an axis without id inside axis_definition.
  
 \end_layout
@@ -267,183 +269,14 @@
 
 \begin_layout Standard
-Like domain, there are several transformation which can be defined with
- configuration file.
+Like domain, transformation which can be defined inside an axis.
  All transformations on an axis have form *_axis.
- 
-\end_layout
-
-\begin_layout Standard
-Till now, XIOS supports the following transformation on axis:
-\end_layout
-
-\begin_layout Itemize
-zoom_axis: Like zoom functionality in XIOS 1.0, the destination grid is the
- zoomed region of the source grid.
-\end_layout
-
-\begin_layout Itemize
-interpolation_axis: Implement interpolation from an axis to one another.
- For now, only polynominal interpolation is available.
-\end_layout
-
-\begin_layout Itemize
-inverse_axis: Inverse an axis
-\end_layout
-
-\begin_layout Standard
-It is not difficult to define a transformation: Include type of transformation
- inside axis definition, as the following
-\end_layout
-
-\begin_layout Standard
-\begin_inset listings
-lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
-inline false
-status open
-
-\begin_layout Plain Layout
-
-<axis_definition>
-\end_layout
-
-\begin_layout Plain Layout
-
-  <axis id="axis_A" />
-\end_layout
-
-\begin_layout Plain Layout
-
-  <axis id="axis_A_zoom" axis_ref="axis_A"> 
-\end_layout
-
-\begin_layout Plain Layout
-
-   <zoom_axis zoom_begin="1" zoom_n="3"/>
-\end_layout
-
-\begin_layout Plain Layout
-
-  </axis>
-\end_layout
-
-\begin_layout Plain Layout
-
-</axis_definition>
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-The concrete example is translated as: the axis named axis_A_zoom is transformed
- from axis name axis_A with a zoom activity.
- The detailed attributes of zoom_axis can be found in reference document,
- but simply it contains the begining and size of zoomed region.
-\end_layout
-
-\begin_layout Standard
-One remark is the transformed axis SHOULD have an id, in this case, it's
- axis_A_zoom.
- As mentioned before, a no-id axis or any no-id component of XIOS can only
- be used inside its definition scope.
-\end_layout
-
-\begin_layout Standard
-To make use of transformation, the grid must contain axis which references
- to transformed ones.
- 
-\end_layout
-
-\begin_layout Standard
-\begin_inset listings
-lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
-inline false
-status open
-
-\begin_layout Plain Layout
-
-<grid id="grid_A">          
-\end_layout
-
-\begin_layout Plain Layout
-
-  <axis axis_ref="axis_A" />
-\end_layout
-
-\begin_layout Plain Layout
-
-</grid>
-\end_layout
-
-\begin_layout Plain Layout
-
-<grid id="grid_A_zoom">          
-\end_layout
-
-\begin_layout Plain Layout
-
-  <axis axis_ref="axis_A_zoom" />
-\end_layout
-
-\begin_layout Plain Layout
-
-</grid>
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-On defining this way, we tell XIOS to establish a connection between two
- grids by a transformation (zoom) with: grid source - grid_A, grid destination
- - grid_A_zoom.
-\end_layout
-
-\begin_layout Standard
-As mentioned in Grid Chapter, in order to use transformed grid, just reference
- to it in field_definition
-\end_layout
-
-\begin_layout Standard
-\begin_inset listings
-lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
-inline false
-status open
-
-\begin_layout Plain Layout
-
-<field_definition level="1" enabled=".TRUE." default_value="9.96921e+36">
-\end_layout
-
-\begin_layout Plain Layout
-
-  <field id="field_A"  operation="average" freq_op="3600s" grid_ref="grid_A"
- />
-\end_layout
-
-\begin_layout Plain Layout
-
-  <field id="field_A_zoom"  operation="average" freq_op="3600s" grid_ref="grid_A
-_zoom" />
-\end_layout
-
-\begin_layout Plain Layout
-
- </field_definition>
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-Although xml is helpful to define several configurations, it can not be
- used to customize attributes of axis.
- So it's the turn of Fortran interface.
+ See Chapter 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "chap:Transformation"
+
+\end_inset
+
+ for more details.
 \end_layout
 
@@ -453,5 +286,5 @@
 
 \begin_layout Standard
-Although axis is not as complexe as domain, there are some mandatory attributes
+Although axis is not as complex as domain, there are some mandatory attributes
  to define.
  Different from precedent version, XIOS 2.0 supports distribution of data
@@ -570,5 +403,5 @@
 
 \begin_layout Standard
-Specify the begining and size of data on the local axis:
+Specify the beginning and size of data on the local axis:
 \end_layout
 
@@ -590,5 +423,5 @@
 
 \begin_layout Standard
-Although the valid data must be inside a local axis, it is not neccessary
+Although the valid data must be inside a local axis, it is not necessary
  for data to have same size.
  In fact, data can have larger size than local axis.
@@ -623,5 +456,5 @@
 
 \begin_layout Standard
-Loal data can be defined with:
+Local data can be defined with:
 \end_layout
 
Index: /XIOS/trunk/doc/inputs/user/Domain.lyx
===================================================================
--- /XIOS/trunk/doc/inputs/user/Domain.lyx	(revision 1083)
+++ /XIOS/trunk/doc/inputs/user/Domain.lyx	(revision 1084)
@@ -1,6 +1,8 @@
-#LyX 2.1 created this file. For more info see http://www.lyx.org/
-\lyxformat 474
+#LyX 2.2 created this file. For more info see http://www.lyx.org/
+\lyxformat 508
 \begin_document
 \begin_header
+\save_transient_properties true
+\origin unavailable
 \textclass book
 \use_default_options true
@@ -11,14 +13,14 @@
 \inputencoding auto
 \fontencoding global
-\font_roman default
-\font_sans default
-\font_typewriter default
-\font_math auto
+\font_roman "default" "default"
+\font_sans "default" "default"
+\font_typewriter "default" "default"
+\font_math "auto" "auto"
 \font_default_family default
 \use_non_tex_fonts false
 \font_sc false
 \font_osf false
-\font_sf_scale 100
-\font_tt_scale 100
+\font_sf_scale 100 100
+\font_tt_scale 100 100
 \graphics default
 \default_output_format default
@@ -143,6 +145,5 @@
 \color inherit
  among this kind of components.
- It is not allowed to have two domains with a same id, but it is permitted
- a domain and a grid, for example, to share a same one.
+ Domains defined by a same Id always represent only one domain.
 \end_layout
 
@@ -181,5 +182,7 @@
 \begin_layout Standard
 Very often, after a domain is defined, it may be referenced many times.
- To make a reference to a domain, we use domain_ref
+ To make a reference to a domain, we use 
+\shape italic
+domain_ref
 \end_layout
 
@@ -216,7 +219,7 @@
  The domain with implicit id can only be used inside the scope where it
  is defined, it can not be referenced, nor be processed.
- It is rare to define a domain without id inside domain_definition.
- However, the domain_ref is utilized widely outside the scope of domain_definiti
-on.
+ It is useless to define a domain without id inside domain_definition.
+ Meanwhile, the domain_ref is utilized widely outside the scope of domain_defini
+tion.
 \end_layout
 
@@ -230,5 +233,5 @@
 \series default
 \color inherit
-Moreover it is the only region where we can define a new domain outside
+However, it is the only region where we can define a new domain outside
  domain_definition.
 \end_layout
@@ -286,201 +289,15 @@
 
 \begin_layout Standard
-One of a new concept which differenciates XIOS 2.0 from its precedent is
- transformation.
- In a simple case, zoom feature is now considered to be a transformation.
- It can be more complicated for other geometric transformation such as inversion
- or interpolation.
- All transformation are taken place on grid level.
- It means that it is neccessary to define a grid source and a grid destination
- as well as a transformation or list of transformation which we'd like to
- have.
- In order to transform a grid to one another, we need to specify a transformatio
-n on its sub-component: domain or axis.
-\end_layout
-
-\begin_layout Standard
-Because transformation on a domain is different from one on an axis, we
- differenciate two categories of transformation: transformation_domain and
- transformation_axis.
-\end_layout
-
-\begin_layout Standard
-Till now, XIOS supports the following transformation on domain:
-\end_layout
-
-\begin_layout Itemize
-zoom_domain: Like zoom functionality in XIOS 1.0, the destination grid is
- the zoomed region of the source grid.
-\end_layout
-
-\begin_layout Itemize
-interpolation_domain: Implement interpolation from a domain to one another,
- for now XIOS can only do interpolation by reading calculated weight values
- from a file or calculate the weights on the fly.
-\end_layout
-
-\begin_layout Itemize
-generate_rectilinear_domain: auto generating, distributing a rectilinear
- domain then filling all mandatory attributes.
-\end_layout
-
-\begin_layout Standard
-It is not difficult to define a transformation: Include type of transformation
- inside domain definition, as the following
-\end_layout
-
-\begin_layout Standard
-\begin_inset listings
-lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
-inline false
-status open
-
-\begin_layout Plain Layout
-
-<domain_definition>
-\end_layout
-
-\begin_layout Plain Layout
-
-  <domain id="domain_A" />
-\end_layout
-
-\begin_layout Plain Layout
-
-  <domain id="domain_A_zoom" domain_ref="domain_A"> 
-\end_layout
-
-\begin_layout Plain Layout
-
-   <zoom_domain zoom_ibegin="1" zoom_ni="3" zoom_jbegin="0" zoom_nj="2"/>
-\end_layout
-
-\begin_layout Plain Layout
-
-  </domain>
-\end_layout
-
-\begin_layout Plain Layout
-
-</domain_definition>
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-The concrete example above tells many things: a domain named domain_A_zoom
- is transformed from domain name domain_A with a zoom activity.
- The domain_A_zoom is the zoomed region of domain_A.
- The detailed attributes of zoom_domain can be found in reference document,
- but simply it contains the begining and size of zoomed region.
-\end_layout
-
-\begin_layout Standard
-One remark is the transformed domain SHOULD have an id, in this case, it's
- domain_A_zoom.
- As mentioned before, a no-id domain or any no-id component of XIOS can
- only be used inside its definition scope.
- It exists but is useless.
- So care about that.
-\end_layout
-
-\begin_layout Standard
-To make use of transformation, the grid must contain domains which reference
- to transformed ones.
- 
-\end_layout
-
-\begin_layout Standard
-\begin_inset listings
-lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
-inline false
-status open
-
-\begin_layout Plain Layout
-
-<grid id="grid_A">          
-\end_layout
-
-\begin_layout Plain Layout
-
-   <domain domain_ref="domain_A" />
-\end_layout
-
-\begin_layout Plain Layout
-
- </grid>
-\end_layout
-
-\begin_layout Plain Layout
-
-<grid id="grid_A_zoom">          
-\end_layout
-
-\begin_layout Plain Layout
-
-   <domain domain_ref="domain_A_zoom" />
-\end_layout
-
-\begin_layout Plain Layout
-
- </grid>
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-On defining this way, we tell XIOS to establish a connection between two
- grids by a transformation (zoom) with: grid source - grid_A, grid destination
- - grid_A_zoom.
-\end_layout
-
-\begin_layout Standard
-As mentioned in Grid Chapter, in order to use transformed grid, just reference
- to it in field_definition
-\end_layout
-
-\begin_layout Standard
-\begin_inset listings
-lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
-inline false
-status open
-
-\begin_layout Plain Layout
-
-<field_definition level="1" enabled=".TRUE." default_value="9.96921e+36">
-\end_layout
-
-\begin_layout Plain Layout
-
-  <field id="field_A"  operation="average" freq_op="3600s" grid_ref="grid_A"
- />
-\end_layout
-
-\begin_layout Plain Layout
-
-  <field id="field_A_zoom"  operation="average" freq_op="3600s" grid_ref="grid_A
-_zoom" />
-\end_layout
-
-\begin_layout Plain Layout
-
- </field_definition>
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-Although xml is helpful to define several configurations, it is not convenient
- to customize attributes of domain.
- So it's the turn of Fortran interface.
+One of a new concept which differentiates XIOS 2.0 from its precedent is
+ (spatial) transformation, which can be defined inside a domain.
+ All transformations on a domain have form *_domain.
+ See Chapter 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "chap:Transformation"
+
+\end_inset
+
+ for more details.
 \end_layout
 
@@ -526,5 +343,5 @@
 rectilinear: a simple 2-dimensional Cartesian coordinates with two perpendicular
  axes.
- Latitude represents the y-axe while longitude represents the x-axe.
+ Latitude represents the y-axis while longitude represents the x-axe.
 \end_layout
 
@@ -537,6 +354,6 @@
 
 \begin_layout Itemize
-unstructured: not any of two above, the latitutude and longitude, as curvilinear
-, are reprensented with the help of boundaries.
+unstructured: not any of two above, the latitude and longitude, as curvilinear,
+ are represented with the help of boundaries.
  
 \end_layout
@@ -564,5 +381,5 @@
 
 \begin_layout Standard
-Althoug there are different domain types, they share the similar patterns
+Although there are different domain types, they share the similar patterns
  to settle local data on a client process: There are some essential attributes
  to define.
@@ -578,5 +395,5 @@
 It is not uncommon that a global domain is broken into several pieces, each
  of which is distributed to one process.
- Following we consider a simple case: a domain of rectilinear type with
+ Following, we consider a simple case: a domain of rectilinear type with
  global size 9 x 9 and its data is distributed evenly among 9 client processes,
  each of which has 3x3.
@@ -634,17 +451,17 @@
 
 \begin_layout Itemize
+ibegin, jbegin: global position on x-axis and y-axis where a local domain
+ begin
+\end_layout
+
+\begin_layout Itemize
+ni, nj: local size of domain of each process on x-axis and y-axis
+\end_layout
+
+\begin_layout Itemize
 ni_glo, nj_glo: global size of x-axis and y-axis correspondingly.
  
 \end_layout
 
-\begin_layout Itemize
-ibegin, jbegin: global position on x-axis and y-axis where a local domain
- begin
-\end_layout
-
-\begin_layout Itemize
-ni, nj: local size of domain of each process on x-axis and y-axis
-\end_layout
-
 \begin_layout Standard
 Or tell XIOS exactly the global position of each point in the local domain,
@@ -717,10 +534,10 @@
 
 \begin_layout Standard
-Specify the begining and size of data on the local domain:
+Specify the beginning and size of data on the local domain:
 \end_layout
 
 \begin_layout Itemize
 data_ibegin, data_jbegin: the local position of data on x-axis and y-axis
- where data begins
+ where data begins inside the local domain
 \end_layout
 
@@ -772,5 +589,5 @@
 
 \begin_layout Standard
-In order to be processed correctly, data must be specified with the begining
+In order to be processed correctly, data must be specified with the beginning
  and size of its block .
  For two-dimensional data, it can be done with data_ibegin, data_ni for
@@ -778,5 +595,5 @@
  In case of one-dimensional data, it is only necessary to determine data_ibegin
  and data_ni.
- Although the valid data must be inside a local domain, it is not neccessary
+ Although the valid data must be inside a local domain, it is not necessary
  for data to have same size as local domain.
  In fact, data can have larger size than domain on each dimension, this
@@ -857,5 +674,5 @@
 
 \begin_layout Standard
-With the secon way, data can be represented with:
+With the second way, data can be represented with:
 \end_layout
 
@@ -891,5 +708,5 @@
 \begin_layout Standard
 As mentioned, data on a domain are two-dimensional but in some cases, there
- is a need to write data continously, there comes one-dimensional data.
+ is a need to write data continuously, there comes one-dimensional data.
  With the precedent example, we can define one dimensional data with:
 \end_layout
@@ -921,7 +738,7 @@
 \begin_layout Standard
 Above are the mandatory attributes to define local domain.
- There are some auxilliary attributes which make data meaningful, especially
+ There are some auxiliary attributes which make data meaningful, especially
  for meteorological one.
- The next section disscuses these attributes.
+ The next section discuses these attributes.
 \end_layout
 
@@ -931,5 +748,5 @@
 
 \begin_layout Standard
-Different from the previous version, in XIOS 2.0, lonngitude and latitude
+Different from the previous version, in XIOS 2.0, longitude and latitude
  are optional.
  Moreover, to be coherent to the data_dim concept, there are more ways to
@@ -1025,6 +842,6 @@
 \begin_layout Standard
 For unstructured mesh, a cell can have different number of vertices than
- rectinlinear, in this case, longitude and latitude value of the vertex
- of cell are specified with bounds_lon_1d and bounds_lat_1d.
+ rectilinear, in this case, longitude and latitude value of the vertex of
+ cell are specified with bounds_lon_1d and bounds_lat_1d.
 \end_layout
 
@@ -1038,5 +855,5 @@
 \begin_layout Standard
 One thing to remind, only *_1d or *_2d attributes are used, if *_1d and
- *_2d of a same attribute are provides, there will be runtime error.
+ *_2d of a same attribute are provides, there will be run-time error.
 \end_layout
 
Index: /XIOS/trunk/doc/inputs/user/Grid.lyx
===================================================================
--- /XIOS/trunk/doc/inputs/user/Grid.lyx	(revision 1083)
+++ /XIOS/trunk/doc/inputs/user/Grid.lyx	(revision 1084)
@@ -1,6 +1,8 @@
-#LyX 2.1 created this file. For more info see http://www.lyx.org/
-\lyxformat 474
+#LyX 2.2 created this file. For more info see http://www.lyx.org/
+\lyxformat 508
 \begin_document
 \begin_header
+\save_transient_properties true
+\origin unavailable
 \textclass book
 \use_default_options true
@@ -11,14 +13,14 @@
 \inputencoding auto
 \fontencoding global
-\font_roman default
-\font_sans default
-\font_typewriter default
-\font_math auto
+\font_roman "default" "default"
+\font_sans "default" "default"
+\font_typewriter "default" "default"
+\font_math "auto" "auto"
 \font_default_family default
 \use_non_tex_fonts false
 \font_sc false
 \font_osf false
-\font_sf_scale 100
-\font_tt_scale 100
+\font_sf_scale 100 100
+\font_tt_scale 100 100
 \graphics default
 \default_output_format default
@@ -236,7 +238,5 @@
 \color inherit
  among this kind of components.
- It is not allowed to have two grids with a same id, but it is permitted
- a grid and, for example, a domain to share a same one.
- 
+ If several grids use same Id, they all represent only one grid.
 \end_layout
 
@@ -415,5 +415,5 @@
  is often used as time step axis.
  In order to write only time step to netCDF, XIOS provides a special way
- to do: empty grid - a grid without any domain or axis.
+ to do: scalar grid - a grid composed of a scalar
 \end_layout
 
@@ -426,5 +426,10 @@
 \begin_layout Plain Layout
 
- <grid id="grid_TimeStep"> 
+<grid id="grid_TimeStep"> 
+\end_layout
+
+\begin_layout Plain Layout
+
+  <scalar id="scalar" />
 \end_layout
 
Index: /XIOS/trunk/doc/inputs/user/Scalar.lyx
===================================================================
--- /XIOS/trunk/doc/inputs/user/Scalar.lyx	(revision 1084)
+++ /XIOS/trunk/doc/inputs/user/Scalar.lyx	(revision 1084)
@@ -0,0 +1,271 @@
+#LyX 2.2 created this file. For more info see http://www.lyx.org/
+\lyxformat 508
+\begin_document
+\begin_header
+\save_transient_properties true
+\origin unavailable
+\textclass book
+\use_default_options true
+\master ../../XIOS_user_guide.lyx
+\maintain_unincluded_children false
+\language english
+\language_package default
+\inputencoding auto
+\fontencoding global
+\font_roman "default" "default"
+\font_sans "default" "default"
+\font_typewriter "default" "default"
+\font_math "auto" "auto"
+\font_default_family default
+\use_non_tex_fonts false
+\font_sc false
+\font_osf false
+\font_sf_scale 100 100
+\font_tt_scale 100 100
+\graphics default
+\default_output_format default
+\output_sync 0
+\bibtex_command default
+\index_command default
+\float_placement !tph
+\paperfontsize default
+\spacing single
+\use_hyperref false
+\papersize a4paper
+\use_geometry false
+\use_package amsmath 1
+\use_package amssymb 1
+\use_package cancel 1
+\use_package esint 1
+\use_package mathdots 1
+\use_package mathtools 1
+\use_package mhchem 1
+\use_package stackrel 1
+\use_package stmaryrd 1
+\use_package undertilde 1
+\cite_engine basic
+\cite_engine_type default
+\biblio_style plain
+\use_bibtopic false
+\use_indices false
+\paperorientation portrait
+\suppress_date false
+\justification true
+\use_refstyle 1
+\index Index
+\shortcut idx
+\color #008000
+\end_index
+\secnumdepth 3
+\tocdepth 3
+\paragraph_separation indent
+\paragraph_indentation default
+\quotes_language english
+\papercolumns 1
+\papersides 1
+\paperpagestyle default
+\tracking_changes false
+\output_changes false
+\html_math_output 0
+\html_css_as_file 0
+\html_be_strict false
+\end_header
+
+\begin_body
+
+\begin_layout Chapter
+Scalar
+\end_layout
+
+\begin_layout Standard
+Scalar, as its name, representing zero-dimension data, is a new element
+ in XIOS 2.0
+\end_layout
+
+\begin_layout Section
+Working with configuration file
+\end_layout
+
+\begin_layout Standard
+Scalar can be easily defined in the configuration file and in most case,
+ that should be enough.
+\end_layout
+
+\begin_layout Standard
+Scalar is defined inside its definition part with the tag 
+\series bold
+\color black
+scalar_definition
+\series default
+\color inherit
+.
+ 
+\begin_inset listings
+lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
+inline false
+status open
+
+\begin_layout Plain Layout
+
+<scalar_definition>
+\end_layout
+
+\begin_layout Plain Layout
+
+  <scalar id="scalar_A" />
+\end_layout
+
+\begin_layout Plain Layout
+
+  <axis scalar_ref="scalar_A" />
+\end_layout
+
+\begin_layout Plain Layout
+
+</scalar_definition>
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+The first one is to specify explicitly identification of a scalar with an
+ id.
+ 
+\end_layout
+
+\begin_layout Standard
+\begin_inset listings
+lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
+inline false
+status open
+
+\begin_layout Plain Layout
+
+<scalar_definition>
+\end_layout
+
+\begin_layout Plain Layout
+
+  <scalar id="scalar_A" />  
+\end_layout
+
+\begin_layout Plain Layout
+
+</scalar_definition>
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+In this way, with the id, the scalar can be processed, e.x modified its attribute
+s, with Fortran interface; besides, it is only possible to reference to
+ a scalar whose id is explicitly defined.
+\end_layout
+
+\begin_layout Standard
+To make a reference to a scalar, we use 
+\shape italic
+scalar_ref
+\end_layout
+
+\begin_layout Standard
+\begin_inset listings
+lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
+inline false
+status open
+
+\begin_layout Plain Layout
+
+<scalar_definition>
+\end_layout
+
+\begin_layout Plain Layout
+
+  <scalar scalar_ref="scalar_A" />
+\end_layout
+
+\begin_layout Plain Layout
+
+</scalar_definition>
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+A scalar defined by scalar_ref will inherit all attributes of the referenced
+ one, except its id attribute.
+ If there is no id specified, an implicit one is assigned to this new scalar.
+ The scalar with implicit id can only be used inside the scope where it
+ is defined, it can not be referenced, nor be processed.
+ It is useless to define an scalar without id inside scalar_definition.
+ 
+\end_layout
+
+\begin_layout Standard
+To define a new scalar inside a grid, we use the tag 
+\series bold
+\color black
+scalar.
+\end_layout
+
+\begin_layout Standard
+\begin_inset listings
+lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
+inline false
+status open
+
+\begin_layout Plain Layout
+
+<grid id="grid_A">          
+\end_layout
+
+\begin_layout Plain Layout
+
+   <scalar scalar_ref="scalar_A" />
+\end_layout
+
+\begin_layout Plain Layout
+
+</grid>
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+The xml lines above can be translated as: the grid_A composed of an scalar_A
+ that is defined somewhere else before.
+ More precisely, the grid grid_A is constituted of an 
+\begin_inset Quotes eld
+\end_inset
+
+unknown id
+\begin_inset Quotes erd
+\end_inset
+
+ scalar which has inherited all attributes (and their values) from scalar_A
+ (name, ...
+ etc).
+\end_layout
+
+\begin_layout Section
+Working with FORTRAN code
+\end_layout
+
+\begin_layout Standard
+All attributes of scalar can be found in Reference Guide.
+\end_layout
+
+\end_body
+\end_document
Index: /XIOS/trunk/doc/inputs/user/Transformations.lyx
===================================================================
--- /XIOS/trunk/doc/inputs/user/Transformations.lyx	(revision 1084)
+++ /XIOS/trunk/doc/inputs/user/Transformations.lyx	(revision 1084)
@@ -0,0 +1,646 @@
+#LyX 2.2 created this file. For more info see http://www.lyx.org/
+\lyxformat 508
+\begin_document
+\begin_header
+\save_transient_properties true
+\origin unavailable
+\textclass book
+\use_default_options true
+\master ../../XIOS_user_guide.lyx
+\maintain_unincluded_children false
+\language english
+\language_package default
+\inputencoding auto
+\fontencoding global
+\font_roman "default" "default"
+\font_sans "default" "default"
+\font_typewriter "default" "default"
+\font_math "auto" "auto"
+\font_default_family default
+\use_non_tex_fonts false
+\font_sc false
+\font_osf false
+\font_sf_scale 100 100
+\font_tt_scale 100 100
+\graphics default
+\default_output_format default
+\output_sync 0
+\bibtex_command default
+\index_command default
+\float_placement !tph
+\paperfontsize default
+\spacing single
+\use_hyperref false
+\papersize a4paper
+\use_geometry false
+\use_package amsmath 1
+\use_package amssymb 1
+\use_package cancel 1
+\use_package esint 1
+\use_package mathdots 1
+\use_package mathtools 1
+\use_package mhchem 1
+\use_package stackrel 1
+\use_package stmaryrd 1
+\use_package undertilde 1
+\cite_engine basic
+\cite_engine_type default
+\biblio_style plain
+\use_bibtopic false
+\use_indices false
+\paperorientation portrait
+\suppress_date false
+\justification true
+\use_refstyle 1
+\index Index
+\shortcut idx
+\color #008000
+\end_index
+\secnumdepth 3
+\tocdepth 3
+\paragraph_separation indent
+\paragraph_indentation default
+\quotes_language english
+\papercolumns 1
+\papersides 1
+\paperpagestyle default
+\tracking_changes false
+\output_changes false
+\html_math_output 0
+\html_css_as_file 0
+\html_be_strict false
+\end_header
+
+\begin_body
+
+\begin_layout Chapter
+Transformation
+\end_layout
+
+\begin_layout Standard
+\begin_inset CommandInset label
+LatexCommand label
+name "chap:Transformation"
+
+\end_inset
+
+One of a new concept which differentiates XIOS 2.0 from its precedent is
+ (spatial) transformation.
+ In a simple case, zoom is considered to be a transformation.
+ It can be more complicated geometric transformation such as inversion or
+ interpolation.
+ All transformations are taken place on grid level: it is necessary to define
+ a grid source as well as a grid destination, and on this last one we define
+ the transformations.
+ 
+\end_layout
+
+\begin_layout Section
+Define transformation
+\end_layout
+
+\begin_layout Standard
+Certainly, the first thing to do is define transformations if we would like
+ to use them.
+\end_layout
+
+\begin_layout Standard
+It is not difficult to define a transformation: include a transformation
+ inside grid element (domain, axis, scalar) definition, as the following
+\end_layout
+
+\begin_layout Standard
+\begin_inset listings
+lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
+inline false
+status open
+
+\begin_layout Plain Layout
+
+<domain_definition>  
+\end_layout
+
+\begin_layout Plain Layout
+
+  <domain id="domain_A_interpolated"> 
+\end_layout
+
+\begin_layout Plain Layout
+
+   <interpolated_domain/>
+\end_layout
+
+\begin_layout Plain Layout
+
+  </domain>
+\end_layout
+
+\begin_layout Plain Layout
+
+</domain_definition>
+\end_layout
+
+\begin_layout Plain Layout
+
+<grid id="grid_A_interpolated">
+\end_layout
+
+\begin_layout Plain Layout
+
+  <domain domain_ref="domain_A_interpolated"/>
+\end_layout
+
+\begin_layout Plain Layout
+
+</grid>
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+or simply, as below
+\end_layout
+
+\begin_layout Standard
+\begin_inset listings
+lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
+inline false
+status open
+
+\begin_layout Plain Layout
+
+<grid id="grid_A_interpolated">          
+\end_layout
+
+\begin_layout Plain Layout
+
+   <domain id="domain_A_interpolated" >
+\end_layout
+
+\begin_layout Plain Layout
+
+    <interpolated_domain/>
+\end_layout
+
+\begin_layout Plain Layout
+
+   </domain>
+\end_layout
+
+\begin_layout Plain Layout
+
+ </grid>
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+These concrete examples say out a thing: a grid named grid_A_interpolated
+ 
+\series bold
+CAN BE
+\series default
+ transformed with an interpolation on its domain.
+\end_layout
+
+\begin_layout Standard
+One obvious question: From which grid is the grid grid_A_interpolated interpolat
+ed? XIOS provides a flexible way to specify the grid source on the fly.
+\end_layout
+
+\begin_layout Section
+Activate transformation
+\end_layout
+
+\begin_layout Standard
+For taking effect, a transformation must be activated even though it is
+ already defined.
+\end_layout
+
+\begin_layout Standard
+This activation can be done easily by establishing relation between the
+ field source, which is on the grid source, and the field destination, which
+ is on the grid destination (the grid will be transformed).
+\end_layout
+
+\begin_layout Standard
+Let grid_A is a grid source and it's defined as following
+\end_layout
+
+\begin_layout Standard
+\begin_inset listings
+lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
+inline false
+status open
+
+\begin_layout Plain Layout
+
+<grid id="grid_A">          
+\end_layout
+
+\begin_layout Plain Layout
+
+   <domain id="domain_A" />
+\end_layout
+
+\begin_layout Plain Layout
+
+ </grid>
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Let field_A is a field on the grid_A
+\end_layout
+
+\begin_layout Standard
+\begin_inset listings
+lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
+inline false
+status open
+
+\begin_layout Plain Layout
+
+<field id="field_A" operation="average" freq_op="3600s" grid_ref="grid_A"
+ />
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+and field_A_interpolated on the grid_A_interpolated
+\end_layout
+
+\begin_layout Standard
+\begin_inset listings
+lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
+inline false
+status open
+
+\begin_layout Plain Layout
+
+<field id="field_A_interpolated" operation="average" freq_op="3600s" grid_ref="g
+rid_A_interpolated" />
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+The transformation between two grids is activated by making a relation between
+ the two fields on these grids with 
+\series bold
+\shape italic
+field_ref
+\series default
+\shape default
+ 
+\end_layout
+
+\begin_layout Standard
+\begin_inset listings
+lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
+inline false
+status open
+
+\begin_layout Plain Layout
+
+<field id="field_A_interpolated" operation="average" freq_op="3600s" grid_ref="g
+rid_A_interpolated" field_ref="field_A" />
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Section
+Working with FORTRAN
+\end_layout
+
+\begin_layout Standard
+Like other objects in XIOS, a transformation can be identified with an id
+ which allows users to process its attributes via FORTRAN interface.
+\end_layout
+
+\begin_layout Standard
+\begin_inset listings
+lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
+inline false
+status open
+
+\begin_layout Plain Layout
+
+<grid id="grid_A_interpolated">          
+\end_layout
+
+\begin_layout Plain Layout
+
+   <domain id="domain_A_intepolated" >
+\end_layout
+
+\begin_layout Plain Layout
+
+    <interpolated_domain id="interp_domain" />
+\end_layout
+
+\begin_layout Plain Layout
+
+   </domain>
+\end_layout
+
+\begin_layout Plain Layout
+
+ </grid>
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+All transformation and their attributes can be found in Reference Guide.
+\end_layout
+
+\begin_layout Section
+Examples
+\end_layout
+
+\begin_layout Standard
+Example of some common transformations in XIOS.
+\end_layout
+
+\begin_layout Subsection
+Zoom
+\end_layout
+
+\begin_layout Standard
+Zoom is available for domain and axis
+\end_layout
+
+\begin_layout Standard
+Define a grid source
+\end_layout
+
+\begin_layout Standard
+\begin_inset listings
+lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
+inline false
+status open
+
+\begin_layout Plain Layout
+
+<grid id="grid_A">          
+\end_layout
+
+\begin_layout Plain Layout
+
+   <domain id="domain_A" />
+\end_layout
+
+\begin_layout Plain Layout
+
+   <axis id="axis_A" />
+\end_layout
+
+\begin_layout Plain Layout
+
+ </grid>
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Define a grid destination
+\end_layout
+
+\begin_layout Standard
+\begin_inset listings
+lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
+inline false
+status open
+
+\begin_layout Plain Layout
+
+<grid id="grid_A_zoom">          
+\end_layout
+
+\begin_layout Plain Layout
+
+   <domain id="domain_A_zoom" domain_ref="domain_A" >
+\end_layout
+
+\begin_layout Plain Layout
+
+    <zoom_domain ibegin="0" ni="10" jbegin="0" nj="10" />
+\end_layout
+
+\begin_layout Plain Layout
+
+   </domain>
+\end_layout
+
+\begin_layout Plain Layout
+
+   <axis id="axis_A_zoom" axis_ref="axis_A">
+\end_layout
+
+\begin_layout Plain Layout
+
+    <zoom_axis begin="0" n="10"/>
+\end_layout
+
+\begin_layout Plain Layout
+
+   </axis>
+\end_layout
+
+\begin_layout Plain Layout
+
+ </grid>
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Activate zoom
+\end_layout
+
+\begin_layout Standard
+\begin_inset listings
+lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
+inline false
+status open
+
+\begin_layout Plain Layout
+
+<field id="field_A" operation="average" freq_op="3600s" grid_ref="grid_A"
+ />
+\end_layout
+
+\begin_layout Plain Layout
+
+<field id="field_A_zoom" grid_ref="grid_A_zoom" field_ref="field_A" />
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Transformation are done with the order of their definition.
+ In the above example, the domain is zoomed first then the zoom on axis
+ is applied.
+\end_layout
+
+\begin_layout Subsection
+Interpolation
+\end_layout
+
+\begin_layout Standard
+Interpolation is available for domain and axis
+\end_layout
+
+\begin_layout Standard
+Define a grid source
+\end_layout
+
+\begin_layout Standard
+\begin_inset listings
+lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
+inline false
+status open
+
+\begin_layout Plain Layout
+
+<grid id="grid_A">          
+\end_layout
+
+\begin_layout Plain Layout
+
+   <domain id="domain_A" />
+\end_layout
+
+\begin_layout Plain Layout
+
+   <axis id="axis_A" />
+\end_layout
+
+\begin_layout Plain Layout
+
+ </grid>
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Define a grid destination
+\end_layout
+
+\begin_layout Standard
+\begin_inset listings
+lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
+inline false
+status open
+
+\begin_layout Plain Layout
+
+<grid id="grid_A_interpolated">          
+\end_layout
+
+\begin_layout Plain Layout
+
+   <domain id="domain_A_interpolated" >
+\end_layout
+
+\begin_layout Plain Layout
+
+    <interpolate_domain/>
+\end_layout
+
+\begin_layout Plain Layout
+
+    <zoom_domain ibegin="0" ni="10" jbegin="0" nj="10" />
+\end_layout
+
+\begin_layout Plain Layout
+
+   </domain>
+\end_layout
+
+\begin_layout Plain Layout
+
+   <axis id="axis_A" />
+\end_layout
+
+\begin_layout Plain Layout
+
+ </grid>
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Activate transformations
+\end_layout
+
+\begin_layout Standard
+\begin_inset listings
+lstparams "language=XML,breaklines=true,tabsize=2,frame=tb,postbreak={\raisebox{0ex}[0ex][0ex]{\ensuremath{\rcurvearrowse\space}}}"
+inline false
+status open
+
+\begin_layout Plain Layout
+
+<field id="field_A" operation="average" freq_op="3600s" grid_ref="grid_A"
+ />
+\end_layout
+
+\begin_layout Plain Layout
+
+<field id="field_A_interpolated" grid_ref="grid_A_interpolated" field_ref="field
+_A" />
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Sequence of transformation can be defined in a grid.
+ In the above example, the domain_A is interpolated into domain_A_interpolated
+ on which a zoom is then applied.
+\end_layout
+
+\end_body
+\end_document
